## opal 3.10.10~dfsg2

=== samples/c_api/Makefile ===
#
# Makefile
#
# An example of the "C" interface to OPAL
#
# Open Phone Abstraction Library
#
# Copyright (c) 2008 Vox Lucida
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Open Phone Abstraction Library.
#
# The Initial Developer of the Original Code is Vox Lucida (Robert Jongbloed)
#
# Contributor(s): ______________________________________.
#
# $Revision$
# $Author$
# $Date$

PROG		= c_api
SOURCES		:= main.c


# If we have environment variables for local copies of
# OPAL and PTLib then use those packages by overriding
# the search path for pkg-config
ifneq ($(PTLIBDIR),)
ifneq ($(OPALDIR),)
PKG_CONFIG_PATH=$(OPALDIR):$(PTLIBDIR)
endif
endif


# Get required flags from library

CFLAGS += $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config $(PKG_FLAGS) --cflags opal)
LDFLAGS += -ldl $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config $(PKG_FLAGS) --libs opal)


OBJDIR := obj

vpath	%.o   $(OBJDIR)

$(OBJDIR)/%.o : %.c
	@mkdir -p $(OBJDIR) >/dev/null 2>&1
	$(CC) $(CFLAGS) -c $< -o $@

$(OPAL_DEPDIR)/%.dep : %.cxx 
	@if [ ! -d $(OPAL_DEPDIR) ] ; then mkdir -p $(OPAL_DEPDIR) ; fi
	@printf %s $(OPAL_OBJDIR)/ > $@
	$(CC) $(CFLAGS:-g=) -M $< >> $@


# This builds the application

OBJECTS = $(addprefix $(OBJDIR)/,$(patsubst %.c,%.o,$(patsubst %.cxx,%.o,$(notdir $(SOURCES)))))

$(OBJDIR)/$(PROG): $(OBJECTS)
	 $(CC) $^ $(LDFLAGS) -o $@

depend:

clean:
	rm $(OBJECTS) $(OBJDIR)/$(PROG)

=== samples/callgen/Makefile ===
#
# Makefile
#
# Makefile for call generator
#
# Copyright (c) 2007 Equivalence Pty. Ltd.
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Portable Windows Library.
#
# The Initial Developer of the Original Code is Equivalence Pty. Ltd.
#
# Contributor(s): ______________________________________.
#
# $Log: Makefile,v $
# Revision 1.1  2007/09/18 12:17:44  rjongbloed
# Added call generator
#


PROG = callgen
SOURCES := main.cxx

ifndef OPALDIR
ifneq (,$(wildcard $(HOME)/opal))
OPALDIR=$(HOME)/opal
else
ifneq (,$(wildcard /usr/local/opal))
OPALDIR=/usr/local/opal
else
default_target :
	@echo Cannot find OPAL in standard locations, you must set the OPALDIR
	@echo environment variable to build this application.
endif
endif
endif

ifdef OPALDIR
include $(OPALDIR)/opal_inc.mak
endif

=== samples/faxopal/Makefile ===
#
# Makefile
#
# Makefile for FaxOPAL
#
# Copyright (c) 2008 Vox Lucida Pty. Ltd.
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Open Phone Abstraction Library.
#
# The Initial Developer of the Original Code is Equivalence Pty. Ltd.
#
# Contributor(s): ______________________________________.
#
# $Revision: 20534 $
# $Auther$
# $Date: 2008-07-03 22:47:05 -0500 (Thu, 03 Jul 2008) $
#


PROG = faxopal
SOURCES := main.cxx

ifndef OPALDIR
ifneq (,$(wildcard $(HOME)/opal))
OPALDIR=$(HOME)/opal
else
ifneq (,$(wildcard /usr/local/opal))
OPALDIR=/usr/local/opal
else
default_target :
	@echo Cannot find OPAL in standard locations, you must set the OPALDIR
	@echo environment variable to build this application.
endif
endif
endif

ifdef OPALDIR
include $(OPALDIR)/opal_inc.mak
endif

=== samples/h224test/Makefile ===
#
# Makefile
#
# Makefile for h224test
#
# Copyright (c) 2008 Post Increment
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Open Phone Abstraction Library.
#
# The Initial Developer of the Original Code is Equivalence Pty. Ltd.
#
# Contributor(s): ______________________________________.
#
# $Revision: 21713 $
# $Auther$
# $Date: 2008-12-08 19:14:44 +1100 (Mon, 08 Dec 2008) $
#


PROG = h224test
SOURCES := main.cxx

ifndef OPALDIR
ifneq (,$(wildcard $(HOME)/opal))
OPALDIR=$(HOME)/opal
else
ifneq (,$(wildcard /usr/local/opal))
OPALDIR=/usr/local/opal
else
default_target :
	@echo Cannot find OPAL in standard locations, you must set the OPALDIR
	@echo environment variable to build this application.
endif
endif
endif

ifdef OPALDIR
include $(OPALDIR)/opal_inc.mak
endif

=== samples/ivropal/Makefile ===
#
# Makefile
#
# Makefile for IVR OPAL
#
# Copyright (c) 2008 Vox Lucida Pty. Ltd.
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Open Phone Abstraction Library.
#
# The Initial Developer of the Original Code is Equivalence Pty. Ltd.
#
# Contributor(s): ______________________________________.
#
# $Revision: 21163 $
# $Auther$
# $Date: 2008-09-25 01:36:06 -0500 (Thu, 25 Sep 2008) $
#


PROG = ivropal
SOURCES := main.cxx

ifndef OPALDIR
ifneq (,$(wildcard $(HOME)/opal))
OPALDIR=$(HOME)/opal
else
ifneq (,$(wildcard /usr/local/opal))
OPALDIR=/usr/local/opal
else
default_target :
	@echo Cannot find OPAL in standard locations, you must set the OPALDIR
	@echo environment variable to build this application.
endif
endif
endif

ifdef OPALDIR
include $(OPALDIR)/opal_inc.mak
endif

=== samples/jester/Makefile ===
#
# Makefile
#
# Make file for application to test the jitter buffer
#
# Copyright (c) 2006 Derek J Smithies
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is jester, jitter tester.
#
# The Initial Developer of the Original Code is Derek J Smithies
#
# Contributor(s): ______________________________________.
#
# $Log: Makefile,v $
# Revision 1.1  2006/06/19 09:32:09  dereksmithies
# Initial cut of a program to test the jitter buffer in OPAL.
#
#

PROG		= jester
SOURCES		:= main.cxx

VERSION_FILE =  ../../version.h

ifndef OPALDIR
ifneq (,$(wildcard $(HOME)/opal))
OPALDIR=$(HOME)/opal
else
ifneq (,$(wildcard /usr/local/opal))
OPALDIR=/usr/local/opal
else
default_target :
	@echo Cannot find OPAL in standard locations, you must set the OPALDIR
	@echo environment variable to build this application.
endif
endif
endif

ifdef OPALDIR
include $(OPALDIR)/opal_inc.mak
endif

=== samples/opalmcu/Makefile ===
#
# Makefile
#
# Makefile for OPAL MCU
#
# Copyright (c) 2008 Vox Lucida Pty. Ltd.
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Open Phone Abstraction Library.
#
# The Initial Developer of the Original Code is Equivalence Pty. Ltd.
#
# Contributor(s): ______________________________________.
#
# $Revision: 22832 $
# $Author: rjongbloed $
# $Date: 2009-06-04 23:58:07 -0500 (Thu, 04 Jun 2009) $
#


PROG = opalmcu
SOURCES := main.cxx

ifndef OPALDIR
ifneq (,$(wildcard $(HOME)/opal))
OPALDIR=$(HOME)/opal
else
ifneq (,$(wildcard /usr/local/opal))
OPALDIR=/usr/local/opal
else
default_target :
	@echo Cannot find OPAL in standard locations, you must set the OPALDIR
	@echo environment variable to build this application.
endif
endif
endif

ifdef OPALDIR
include $(OPALDIR)/opal_inc.mak
endif

=== samples/openphone/Makefile ===
#
# Makefile
#
# Make file for simple sample application for the Open Phone Abstraction library.
#
# Copyright (c) 2006 Derek J Smithies
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Open Phone Abstraction Library.
#
# The Initial Developer of the Original Code is Equivalence Pty. Ltd.
#
# Contributor(s): ______________________________________.
#
# $Log: Makefile,v $
# Revision 1.3  2006/07/31 07:39:21  rjongbloed
# Fixed default target to be PWlib one, not just to build opephone.cxx
# Added OPAL directory default (no OPALDIR env var) to be ../.. before
#   searhcing for $(HOME) and /usr/local/opal
#
# Revision 1.2  2006/07/22 00:24:55  dereksmithies
# Add linux magic so it compiles and runs on linux.
# Add the command wxrc to turn the openphone.xrc file into openphone.cxx
# Compile openphone.cxx, which defines the function InitXmlResource();
# Since openphone.cxx is an auto generated file, get cvs to ignore this file.
#
# Revision 1.1  2006/07/19 10:41:51  dereksmithies
# First steps towards having a unix compiled openphone.
#
#

PROG		:= openphone
SOURCES		:= main.cxx openphone.cxx

VERSION_FILE	= $(OPALDIR)/version.h


ifndef OPALDIR
ifneq (,$(wildcard ../../version.h))
OPALDIR=$(wildcard ../..)
else
ifneq (,$(wildcard $(HOME)/opal))
OPALDIR=$(HOME)/opal
else
ifneq (,$(wildcard /usr/local/opal))
OPALDIR=/usr/local/opal
else
default_target :
	@echo Cannot find OPAL in standard locations, you must set the OPALDIR
	@echo environment variable to build this application.
endif
endif
endif
endif


# Need this before the include of opal_inc.mak
default_target: bundle


ifdef OPALDIR
include $(OPALDIR)/opal_inc.mak
endif


WX_CONFIG=wx-config
ifdef DEBUG
WX_CONFIG+=--debug=yes
else
WX_CONFIG+=--debug=no
endif

CPPFLAGS += $(shell $(WX_CONFIG) --cxxflags)
CFLAGS	 += $(shell $(WX_CONFIG) --cxxflags) -Wno-strict-aliasing -Wno-float-equal
ENDLDLIBS+= $(shell $(WX_CONFIG) --libs)


openphone.cxx : openphone.xrc
	wxrc openphone.xrc -c -o openphone.cxx


ifneq ($(OSTYPE),Darwin)
bundle: $(TARGET)
else
bundle: $(PROG).app

STRINGSFILE= #InfoPlist.strings

$(PROG).app: $(TARGET) Info.plist version.plist $(PROG).icns $(STRINGSFILE)
	@for dir in $@ \
	           $@/Contents \
	           $@/Contents/MacOS \
	           $@/Contents/Resources \
	           $@/Contents/Resources/English.lproj; do \
	  if test ! -d $$dir; then \
	    echo Creating $$dir; \
	    mkdir $$dir; \
	  fi \
	done
	cp Info.plist        $@/Contents/
	cp version.plist     $@/Contents/
	cp $(PROG).icns      $@/Contents/Resources/
ifneq ($(STRINGSFILE),)	
	cp InfoPlist.strings $@/Contents/Resources/English.lproj/
endif
	echo -n 'APPL????' > $@/Contents/PkgInfo
	cp $(TARGET)         $@/Contents/MacOS/$(PROG)

endif

=== samples/playyuv/Makefile ===
#
# Makefile
#
# Makefile for PlayRTP
#
# Copyright (c) 2007 Equivalence Pty. Ltd.
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Portable Windows Library.
#
# The Initial Developer of the Original Code is Equivalence Pty. Ltd.
#
# Contributor(s): ______________________________________.
#
# $Log: Makefile,v $
# Revision 1.1  2007/09/28 02:33:26  rjongbloed
# Added application to play back RTP out of a Wireshark capture file.
#


PROG = playyuv
SOURCES := main.cxx

ifndef OPALDIR
ifneq (,$(wildcard $(HOME)/opal))
OPALDIR=$(HOME)/opal
else
ifneq (,$(wildcard /usr/local/opal))
OPALDIR=/usr/local/opal
else
default_target :
	@echo Cannot find OPAL in standard locations, you must set the OPALDIR
	@echo environment variable to build this application.
endif
endif
endif

ifdef OPALDIR
include $(OPALDIR)/opal_inc.mak
endif

=== samples/sipim/Makefile ===
#
# Makefile
#
# Makefile for SipIM
#
# Copyright (c) 2008 Post Increment
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Open Phone Abstraction Library.
#
# The Initial Developer of the Original Code is Equivalence Pty. Ltd.
#
# Contributor(s): ______________________________________.
#
# $Revision: 21713 $
# $Auther$
# $Date: 2008-12-08 02:14:44 -0600 (Mon, 08 Dec 2008) $
#


PROG = sipim
SOURCES := main.cxx

ifndef OPALDIR
ifneq (,$(wildcard $(HOME)/opal))
OPALDIR=$(HOME)/opal
else
ifneq (,$(wildcard /usr/local/opal))
OPALDIR=/usr/local/opal
else
default_target :
	@echo Cannot find OPAL in standard locations, you must set the OPALDIR
	@echo environment variable to build this application.
endif
endif
endif

ifdef OPALDIR
include $(OPALDIR)/opal_inc.mak
endif

=== samples/testpresent/Makefile ===
#
# Makefile
#
# Makefile for TestPresent
#
# Copyright (c) 2008 Post Increment
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Open Phone Abstraction Library.
#
# The Initial Developer of the Original Code is Equivalence Pty. Ltd.
#
# Contributor(s): ______________________________________.
#
# $Revision: 23422 $
# $Auther$
# $Date: 2009-09-11 01:57:51 -0500 (Fri, 11 Sep 2009) $
#


PROG = testpresent
SOURCES := main.cxx

ifndef OPALDIR
ifneq (,$(wildcard $(HOME)/opal))
OPALDIR=$(HOME)/opal
else
ifneq (,$(wildcard /usr/local/opal))
OPALDIR=/usr/local/opal
else
default_target :
	@echo Cannot find OPAL in standard locations, you must set the OPALDIR
	@echo environment variable to build this application.
endif
endif
endif

ifdef OPALDIR
include $(OPALDIR)/opal_inc.mak
endif

=== plugins/audio/LPC_10/src/Makefile ===
# 
# Makefile for LPC-10 speech coder library (unix)
# 

# default C compiler
CC= gcc

# 
# These definitions for CFLAGS and LIB_TARGET_DIR are used when one
# runs make in the lpc10 directory, without environment variables that
# override them.  When make is run in this directory from a makefile
# for an application that uses the LPC10 coder, there are environment
# variables set for CFLAGS and LIB_TARGET_DIR that override these
# definitions.
# 

LIB_TARGET_DIR = ..

# 
# -I$(LIB_TARGET_DIR) option needed so that #include "machine.h"
# directives can find the machine.h file.
# 

WARNINGS = -Wall
CFLAGS = -O3 -I$(LIB_TARGET_DIR) $(WARNINGS)

LIB = $(LIB_TARGET_DIR)/liblpc10.a

.PHONY: all clean

all:	$(LIB)
	ranlib $(LIB)

$(LIB):		$(LIB)(f2clib.o)	\
		$(LIB)(analys.o)	\
		$(LIB)(bsynz.o)		\
		$(LIB)(chanwr.o)	\
		$(LIB)(dcbias.o)	\
		$(LIB)(decode.o)	\
		$(LIB)(deemp.o)		\
		$(LIB)(difmag.o)	\
		$(LIB)(dyptrk.o)	\
		$(LIB)(encode.o)	\
		$(LIB)(energy.o)	\
		$(LIB)(ham84.o)		\
		$(LIB)(hp100.o)		\
		$(LIB)(invert.o)	\
		$(LIB)(irc2pc.o)	\
		$(LIB)(ivfilt.o)	\
		$(LIB)(lpcdec.o)	\
		$(LIB)(lpcenc.o)	\
		$(LIB)(lpcini.o)	\
		$(LIB)(lpfilt.o)	\
		$(LIB)(median.o)	\
		$(LIB)(mload.o)		\
		$(LIB)(onset.o)		\
		$(LIB)(pitsyn.o)	\
		$(LIB)(placea.o)	\
		$(LIB)(placev.o)	\
		$(LIB)(preemp.o)	\
		$(LIB)(prepro.o)	\
		$(LIB)(random.o)	\
		$(LIB)(rcchk.o)		\
		$(LIB)(synths.o)	\
		$(LIB)(tbdm.o)		\
		$(LIB)(voicin.o)	\
		$(LIB)(vparms.o)

clean:
	-rm -f *.o

=== debian/changelog ===
opal (3.10.10~dfsg2-2) unstable; urgency=low

  * Fix FTBFS with upcoming ffmpeg 2.9, patch from A. Cadhalpun (Closes:
    #803846).

 -- Eugen Dedu <eugen.dedu@univ-fcomte.fr>  Mon, 11 Jan 2016 15:51:57 +0100

opal (3.10.10~dfsg2-1) unstable; urgency=low

  * Remove one non free document (RFC) from source package.
  * Remove now useless DM-Upload-Allowed from debian/control.
  * Print complete compilation lines during building.

 -- Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>  Mon, 27 Oct 2014 05:51:57 +0200

opal (3.10.10~dfsg-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add libav10.patch to fix FTBFS with Libav10 (Closes: #739439)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 03 May 2014 15:51:57 -0400

=== debian/control ===
Source: opal
Section: libs
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Eugen Dedu <eugen.dedu@univ-fcomte.fr>, Kilian Krause <kilian@debian.org>, Tzafrir Cohen <tzafrir@debian.org>
Build-Depends: debhelper (>= 8), doxygen, autotools-dev, pkg-config,
 libpt-dev (>= 2.10.10~), libavcodec-dev, libx264-dev,
 libtheora-dev, libgsm1-dev, libspeex-dev, libspeexdsp-dev,
 libsrtp-dev [alpha amd64 armel hppa i386 mips mipsel powerpc s390],
 libcapi20-dev [linux-any], libspandsp-dev (>= 0.0.6~pre17)
Build-Conflicts: libopal-dev
Standards-Version: 3.9.2
Homepage: http://www.opalvoip.org/
Vcs-Svn: svn://svn.debian.org/pkg-voip/opal/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/opal/

Package: libopal3.10.10
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libspeex1, libspeexdsp1
Description: Open Phone Abstraction Library - successor of OpenH323
 This package contains the shared version of the OPAL library.
 .
 The OPAL project aims to create a full featured, interoperable, Open Source
 implementation of the H.323 and SIP protocols that can be used freely by
 everybody.  These protocols are most used for Voice over IP (VoIP)
 conferencing.
 .
 This package contains the shared version of the OPAL library, together
 with several audio and video codecs.

Package: libopal-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libopal3.10.10 (= ${binary:Version}), libpt-dev (>= 2.10.10~), libspeexdsp-dev,
 libsrtp0-dev [alpha amd64 armel hppa i386 mips mipsel powerpc s390]
Suggests: pkg-config
Recommends: libopal-doc
Description: OPAL library header files
 This package contains the headers and a static version of the OPAL library.
 .
 The OPAL project aims to create a full featured, interoperable, Open Source
 implementation of the H.323 and SIP protocols that can be used freely by
 everybody.  These protocols are most used for Voice over IP (VoIP)
 conferencing.

Package: simpleopal
Section: comm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopal3.10.10 (= ${binary:Version})
Description: Simple example from the OPAL project
 This package contains a small H323 and SIP client given as an example. You
 can find its code on the doc package.
 .
 The OPAL project aims to create a full featured, interoperable, Open Source
 implementation of the H.323 and SIP protocols that can be used freely by
 everybody.  These protocols are most used for Voice over IP (VoIP)
 conferencing.

Package: libopal-dbg
Section: debug
Priority: extra
Depends: ${misc:Depends}, libopal3.10.10 (= ${binary:Version})
Conflicts: libopal3.6.8-dbg
Replaces: libopal3.6.8-dbg
Architecture: any
Description: OPAL library debug symbols
 This package contains the shared and static debug symbols of the
 OPAL library.
 .
 The OPAL project aims to create a full featured, interoperable, Open Source
 implementation of the H.323 and SIP protocols that can be used freely by
 everybody.  These protocols are most used for Voice over IP (VoIP)
 conferencing.

Package: libopal-doc
Section: doc
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: OPAL library documentation files
 This package contains the documentation and samples to program with
 the OPAL library.
 .
 The OPAL project aims to create a full featured, interoperable, Open Source
 implementation of the H.323 and SIP protocols that can be used freely by
 everybody.  These protocols are most used for Voice over IP (VoIP)
 conferencing.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE:=1

DEBVERSION := $(shell head -n 1 debian/changelog \
		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION := $(shell echo $(DEBVERSION) | sed 's/~dfsg2-.//')

FILENAME := opal_$(UPVERSION)~dfsg2.orig.tar.xz
UPFILENAME := opal_$(UPVERSION).orig.tar.gz
URL := http://aarnet.dl.sourceforge.net/sourceforge/opalvoip/opal-$(UPVERSION).tar.bz2

# hack to get samples/simple compiled with new build system
# no := here for we need evaluation at runtime!
OPAL_LIBDIR=$(shell sed -n -e "/^OPAL_LIBDIR/s,^.*/,$(CURDIR)/,p" opal_defs.mak)

%:
	dh $@ --parallel --with autotools_dev


override_dh_auto_configure:
	dh_auto_configure -- --enable-samples --enable-spandsp

override_dh_auto_build:
	sed -e 's#^Libs: #Libs: -L$(OPAL_LIBDIR) #' opal.pc >samples/opal.pc
	dh_auto_build -- PKG_CONFIG_PATH=$(CURDIR)/samples VERBOSE=1 opt docs

#override_dh_auto_test:
#	if (samples/simple/obj*/simpleopal --help >/dev/null);then \
#		echo shared simpleopal incorrectly compiled static; false;\
#	else \
#		echo shared simpleopal correctly compiled non-static; \
#	fi
#	LD_LIBRARY_PATH=$(OPAL_LIBDIR) samples/simple/obj*/simpleopal --help >/dev/null

override_dh_link:
	# replace jquery.js with Debian's version
	rm -f debian/libopal-doc/usr/share/doc/libopal-doc/html/jquery.js
	dh_link

override_dh_clean:
	dh_clean -- PKG_CONFIG_PATH=$(CURDIR)/samples
	rm -rf html
	rm -f samples/opal.pc
	rm -rf samples/simple/obj_*

override_dh_strip:
	dh_strip -a --dbg-package=libopal-dbg

print-version:
	@@echo "Debian version:          $(DEBVERSION)"
	@@echo "Upstream version:        $(UPVERSION)"
	@@#echo "svn REV:                 $(REV)"

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@#this is for stable versions
	@@echo Downloading $(UPFILENAME) from $(URL) ...
	@@wget -nv -T10 -t3 -O ../tarballs/$(UPFILENAME) $(URL)
	@@echo 'Repacking as DFSG-free (removing DLLs and EXEs)...'
	@@mkdir -p ../tarballs/opal-$(UPVERSION).tmp/
	@@cd ../tarballs/opal-$(UPVERSION).tmp ; tar xfj ../$(UPFILENAME)
	@@rm -f ../tarballs/opal-$(UPVERSION).tmp/opal*/plugins/LID/CM_HID/CM_HID.dll
	@@rm -f ../tarballs/opal-$(UPVERSION).tmp/opal*/plugins/LID/TigerJet/TjIpSys.dll
	@@rm -f ../tarballs/opal-$(UPVERSION).tmp/opal*/*.exe
	@@rm -f ../tarballs/opal-$(UPVERSION).tmp/opal*/plugins/audio/iLBC/iLBC/draft-ietf-avt-ilbc-codec-05.txt
	@@echo Writing archive ../tarballs/$(FILENAME) ...
	@@cd ../tarballs/opal-$(UPVERSION).tmp ; tar cfJ ../$(FILENAME) *
	@@echo Cleaning up...
	@@$(RM) -rf ../tarballs/opal-$(UPVERSION).tmp/ ../tarballs/$(UPFILENAME)
